export declare const StyleTraitPropertiesSpec: import("@sinclair/typebox").TObject<import("@sinclair/typebox").StaticProperties<{
    styles: import("@sinclair/typebox").TArray<import("@sinclair/typebox").StaticArray<import("@sinclair/typebox").TObject<import("@sinclair/typebox").StaticProperties<{
        styleSlot: import("@sinclair/typebox").TString;
        style: import("@sinclair/typebox").TString;
        cssProperties: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TRecord<Record<string, string>>>;
    }>>>>;
}>>;
declare const _default: import("../..").ImplementedRuntimeTraitFactory;
export default _default;
